Subject: Re: [PATCH v2 06/32] s390: reuse asm-generic/barrier.h

From: "Michael S. Tsirkin" <[email-masked]>
Date: Mon, 4 Jan 2016 22:42:44 +0200

On Mon, Jan 04, 2016 at 04:03:39PM +0100, Martin Schwidefsky wrote:
> On Mon, 4 Jan 2016 14:20:42 +0100
> Peter Zijlstra <[email-masked]> wrote:
> 
> > On Thu, Dec 31, 2015 at 09:06:30PM +0200, Michael S. Tsirkin wrote:
> > > On s390 read_barrier_depends, smp_read_barrier_depends
> > > smp_store_mb(), smp_mb__before_atomic and smp_mb__after_atomic match the
> > > asm-generic variants exactly. Drop the local definitions and pull in
> > > asm-generic/barrier.h instead.
> > > 
> > > This is in preparation to refactoring this code area.
> > > 
> > > Signed-off-by: Michael S. Tsirkin <[email-masked]>
> > > Acked-by: Arnd Bergmann <[email-masked]>
> > > ---
> > >  arch/s390/include/asm/barrier.h | 10 ++--------
> > >  1 file changed, 2 insertions(+), 8 deletions(-)
> > > 
> > > diff --git a/arch/s390/include/asm/barrier.h b/arch/s390/include/asm/barrier.h
> > > index 7ffd0b1..c358c31 100644
> > > --- a/arch/s390/include/asm/barrier.h
> > > +++ b/arch/s390/include/asm/barrier.h
> > > @@ -30,14 +30,6 @@
> > >  #define smp_rmb()			rmb()
> > >  #define smp_wmb()			wmb()
> > >  
> > > -#define read_barrier_depends()		do { } while (0)
> > > -#define smp_read_barrier_depends()	do { } while (0)
> > > -
> > > -#define smp_mb__before_atomic()		smp_mb()
> > > -#define smp_mb__after_atomic()		smp_mb()
> > 
> > As per:
> > 
> >   lkml.kernel.org/r/20150921112252.3c2937e1@mschwide
> > 
> > s390 should change this to barrier() instead of smp_mb() and hence
> > should not use the generic versions.
>  
> Yes, we wanted to simplify this. Thanks for the reminder, I'll queue
> a patch.

Could you base on my patchset maybe, to avoid conflicts,
and I'll merge it?
Or if it's just replacing these 2 with barrier() I can do this
myself easily.

> -- 
> blue skies,
>    Martin.
> 
> "Reality continues to ruin my life." - Calvin.